﻿EXEC P_ALTERPK 'PK_TPO_TAX_DEPRECIATION', 'T_TPO_TAX_DEPRECIATION', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TPO_TAX_DEPRECIATION') CREATE INDEX IDX_TPO_TAX_DEPRECIATION ON T_TPO_TAX_DEPRECIATION ( FNUMBER );


EXEC P_ALTERPK 'PK_TPO_TAX_DEPRECIATION_L', 'T_TPO_TAX_DEPRECIATION_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TPO_TAX_DEPRECIATION_L_0') CREATE INDEX IDX_TPO_TAX_DEPRECIATION_L_0 ON T_TPO_TAX_DEPRECIATION_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_TPO_DEPRE_TAXAREA', 'T_TPO_DEPRE_TAXAREA', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TPO_DEPRE_TAXAREA_FK') CREATE INDEX IDX_TPO_DEPRE_TAXAREA_FK ON T_TPO_DEPRE_TAXAREA ( FID );


EXEC P_ALTERPK 'PK_TPO_DEPRE_TAXATIONSYS', 'T_TPO_DEPRE_TAXATIONSYS', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TPO_DEPRE_TAXATIONSYS_FK') CREATE INDEX IDX_TPO_DEPRE_TAXATIONSYS_FK ON T_TPO_DEPRE_TAXATIONSYS ( FID );

EXEC P_ALTERPK 'PK_TPO_DEPRECIATION', 'T_TPO_DEPRECIATION', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TPO_DEPRECIATION_FNUMBER') CREATE INDEX IDX_TPO_DEPRECIATION_FNUMBER ON T_TPO_DEPRECIATION ( FNUMBER );


EXEC P_ALTERPK 'PK_TPO_DEPRECIATION_L', 'T_TPO_DEPRECIATION_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TPO_DEPRECIATION_L_0') CREATE INDEX IDX_TPO_DEPRECIATION_L_0 ON T_TPO_DEPRECIATION_L ( FID ,FLOCALEID );

EXEC P_ALTERPK 'PK_TPO_DEPRE_DETAIL', 'T_TPO_DEPRE_DETAIL', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TPO_DEPRE_DETAIL_FK') CREATE INDEX IDX_TPO_DEPRE_DETAIL_FK ON T_TPO_DEPRE_DETAIL ( FID );